Package Details: ciphey 5.14.0-2

Git Clone URL: https://aur.archlinux.org/ciphey.git (read-only, click to copy)
Package Base: ciphey
Description: Automated decryption tool
Upstream URL: https://github.com/Ciphey/Ciphey
Keywords: cipher cryptography ctf decryption
Licenses: MIT
Provides: ciphey
Submitter: roliboy
Maintainer: roliboy
Last Packager: roliboy
Votes: 1
Popularity: 0.68
First Submitted: 2020-10-21 13:53
Last Updated: 2021-07-07 09:51

Latest Comments

roliboy commented on 2021-07-07 09:55

Small update:

I removed python-cipheycore and python-cipheydists from the dependencies and merged their PKGBUILDS into this one.

Now ciphey is a 3-in-1 package, not too elegant and by no means is it good practice to do so, but for the time being this will allow you to install it without any issues.

NOTE: remove python-cipheycore and python-cipheydists packages in case you installed them, otherwise pacman will complain about conflicting files

sudo pacman -Rns python-cipheycore
sudo pacman -Rns python-cipheydists

cookiewookie commented on 2021-07-06 12:45

I tried via yay --mflags --skipinteg ciphey

but more errors unfortunately. I hope you are lucky with contacting :)

  • Built cipheycore-0.2.3-cp39-cp39-manylinux_2_33_x86_64.whl tar: cipheycore-0.2.4.tar.gz: Cannot open: No such file or directory tar: Error is not recoverable: exiting now ==> ERROR: A failure occurred in build().

cookiewookie commented on 2021-07-06 12:39

Thank you so much!

roliboy commented on 2021-07-04 10:29

Unfortunately there's not much i can do about it, python-cipheycore is maintained by someone else.

As a workaround, you can update the package version in the PKGBUILD file and install it with the --skipchecksums option:

git clone https://aur.archlinux.org/python-cipheycore.git
cd python-cipheycore
# edit the PKGBUILD file and change pkgver=0.2.4 to pkgver=0.3.2
makepkg -risc --skipchecksums

The same goes for the python-cipheydists package:

git clone https://aur.archlinux.org/python-cipheydists.git
cd python-cipheydists
# change pkgver=0.3.10 to pkgver=0.3.35
makepkg -risc --skipchecksums

Sorry for the inconvenience, i will try to contact the maintainer and solve this issue.

cookiewookie commented on 2021-07-04 08:11

python-cipheycore-0.2.4.tar.gz ... FAILED

==> ERROR: One or more files did not pass the validity check!